var xep >= 0 integer; #numero esperti per pomodori
var xez >= 0 integer; #numero esperti per zucchine
var xnp >= 0 integer; #numero normali per pomodori
var xnz >= 0 integer; #numero normali per zucchine
var xap >= 0 integer; #numero apprendisti per pomodori
var xaz >= 0 integer; #numero apprendisti per zucchine

var yc binary;        #vale 1 se si usufruisce del contributo, 0 altrimenti
var yap binary;       #vale 1 se si impiegano apprendisti per pomodori, 0 altrimenti
var yaz binary;       #vale 1 se si impiegano apprendisti per zucchine, 0 altrimenti

minimize costi: 5700 * (xep + xez) + 3500 * (xnp + xnz) + 2500 * (xap + xaz) - 20000 * yc;

s.t. tuttipomodori: 2.0 * xep + 1.6 * xnp + 1   * xap >= 200;
s.t. tuttezucchine: 1.9 * xez + 1.2 * xnz + 0.5 * xaz >= 100;

s.t. espertiminpom: xep >= 0.20 * (xep + xnp + xap);
s.t. espertiminzuc: xez >= 0.50 * (xez + xnz + xaz);
s.t. espertimin: xep + xez >= 0.25 * (xep + xnp + xap + xez + xnz + xaz);


s.t. logicoap: xap <= 99999 * yap;
s.t. logicoaz: xaz <= 99999 * yaz;
s.t. supervisori: yap + yaz <= 1;

s.t. attivacontributo: xap + xaz >= 0.3 * (xep + xez + xnp + xnz + xap + xaz) - 99999 * (1 - yc);

